debian/canfestival-peak.postrm
changeset 533 4d50417dab22
child 579 3126da40d469
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/canfestival-peak.postrm	Mon Mar 02 16:15:43 2009 +0100
@@ -0,0 +1,60 @@
+#!/bin/sh
+# postinst script for canfestival
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+DLL_LIST=
+CF_CONFIG=/usr/share/CanFestival-3/objdictgen/canfestival_config.py
+CF_CONFIG_TEMP=/usr/share/CanFestival-3/objdictgen/canfestival_config_ori.py
+
+case "$1" in
+    configure)
+    ;;
+	
+    remove|purge)
+    ldconfig
+    cd /usr/lib
+    cd /usr/lib
+	DLL_LIST=
+	FILES=
+
+	for file in libcanfestival_can*
+	do
+		DLL_LIST="'$file',""$DLL_LIST"
+	done
+
+	cat $CF_CONFIG_TEMP > $CF_CONFIG
+	echo "DLL_LIST=[$DLL_LIST]" >> $CF_CONFIG
+	;;
+    
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+